Name:           edje
Version:        0.9.9.050
Release:        6%{?dist}
Summary:        A graphical layout and animation library

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  evas-devel eet-devel embryo-devel ecore-devel 
BuildRequires:  chrpath pkgconfig doxygen inkscape

%description
A graphical layout and animation library for animated resizable, compressed and
scalable themes.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       evas-devel ecore-devel embryo-devel eet-devel 
Requires:       zlib-devel pth-devel pkgconfig inkscape

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}
sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
./gendoc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_cc
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_decc
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
find doc/man/man3 -size -100c -delete
rm -f doc/man/man3/todo.3 # remove todo
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -p -m 644 doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}_*
%{_libdir}/*.so.*
%{_datadir}/%{name}


%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_bindir}/inkscape2edc
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.9.050-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9.050-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9.050-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-3
- edje-devel now depends on inkscape

* Fri Jan 16 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-2
- Include inkscape2edc

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-1
- New upstream snapshot

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-2
- Fixed unowned directories

* Tue May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-1
- New upstream snapshot

* Tue May 06 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-3
- Fixed missing dependencies and buildrequires for edje-devel

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-2
- Added missing dependencies for edje-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-1
- Initial specfile for Edje
